Solid Edge FrameworkSupport Type Library
ReferenceOccurrence Property
Description
Sets and returns the pattern occurrence that serves as the reference occurrence.
Property type
Read-write property
Syntax
Visual Basic
Public Property ReferenceOccurrence As Long
Remarks
the range of this property is from zero to one less than the number of occurrences in the pattern.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfile As SolidEdgePart.Profile
    Dim objRPattern As SolidEdgeFrameworkSupport.RectangularPattern2d
    Dim lngRefOccur As Long
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Create a new Profile object
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(objDoc.RefPlanes(1))
    ' Create a RectangularPattern2d object on the profile
    Set objRPattern = objProfile.RectangularPatterns2d.Add(OriginX:=0, OriginY:=0, _
                                                           Width:=0.1, Height:=0.05, Angle:=0, OffsetType:=sePatternFillOffset, _
                                                           XCount:=6, YCount:=4, XSpace:=0.015, YSpace:=0.01)
    ' Get and change the ReferenceOccurrence of the RectangularPattern2d object
    lngRefOccur = objRPattern.ReferenceOccurrence
    objRPattern.ReferenceOccurrence = 3
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfile = Nothing
    Set objRPattern = Nothing
End Sub
See Also

RectangularPattern2d Object  | RectangularPattern2d Members

Send comments on this topic.